package bbuvajava;
import java.util.ArrayList;
//COMIENZA CLASE MAIN
public class Main {
Sucursal suc=new Sucursal();
public static void carga_datos(Sucursal suc){
     ArrayList<Producto> AP=new ArrayList<Producto>();
     ArrayList<Cliente> AC=new ArrayList<Cliente>();
     ArrayList<Empleado> AE=new ArrayList<Empleado>();
     ArrayList<Caja> ACa=new ArrayList<Caja>();

     Producto p1=new CuentaCorriente();
     p1.setNumeroProducto("20984002161000015263");
     p1.setSaldo(90);
     
     ClienteFisico c1=new ClienteFisico();
     c1.setNombreCliente("Julian Martinez Morillas");
     c1.setDni("24784598J");
     c1.insertaProductoenCliente(p1);
     p1.insertaTitularenProducto(c1);

     AP.add(p1);
     AC.add(c1);
            
     Producto p2=new CuentaCorriente();
     p2.setNumeroProducto("20984002181000015264");

     ClienteFisico c2=new ClienteFisico();
     c2.setNombreCliente("Javier Alvarez Cejudo");
     c2.setDni("22548544P");
     c2.insertaProductoenCliente(p2);
     p2.insertaTitularenProducto(c2);


     AP.add(p2);
     AC.add(c2);
     
     Producto p3=new CuentaCorriente();
     p3.setNumeroProducto("20984002141000015265");
     
     ClienteFisico c3=new ClienteFisico();
     c3.setNombreCliente("Martin Rivas Nistal");
     c3.setDni("18745354H");
     c3.insertaProductoenCliente(p3);
     p3.insertaTitularenProducto(c3);

     AP.add(p3);
     AC.add(c3);

     Producto p4=new CuentaCorriente();
     p4.setNumeroProducto("20984002131000015266");

     
     ClienteFisico c4=new ClienteFisico();
     c4.setNombreCliente("Alicia Rivas Cano");
     c4.setDni("54252622T");
     c4.insertaProductoenCliente(p4);
     p4.insertaTitularenProducto(c4);

     AP.add(p4);
     AC.add(c4);

     Producto p5=new CuentaCorriente();
     p5.setNumeroProducto("20984002131200002414");
     p5.setSaldo(900000000);

     ClienteJuridico c5=new ClienteJuridico();
     c5.setCif("Q7150008F");
     c5.setDireccion("C/Andalucia s/n");
     c5.setNombreCliente("UNIVERSIDAD DE HUELVA");
     p5.insertaTitularenProducto(c5);

     AP.add(p5);
     AC.add(c5);

     Empleado e=new Empleado();

     Caja ca1=new Caja();
     ca1.setId(2);

     e.setDirector(false);
     e.setDni("48944103");
     e.setLogin(12345);
     e.setCaj(ca1);

     Empleado edir=new Empleado();

     Caja caprinci= new Caja();
     caprinci.setId(1);
     caprinci.setSaldo(200000);
     edir.setDirector(true);
     edir.setDni("48944102");
     edir.setCaj(caprinci);

     AE.add(e);
     AE.add(edir);
     ACa.add(caprinci);
     ACa.add(ca1);
            
     suc.setProducto(AP);
     suc.setMCliente(AC);
     suc.setMEmpleado(AE);
     suc.setMCaja(ACa);
 }

//FUNCION MAIN DENTRO DE LA CLASE MAIN
public static void main(String[] args){
    Sucursal suc=new Sucursal();
    carga_datos(suc);
    new jfrmArqueo(suc).setVisible(true);
}
}